/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session, IProfile } from '@zowe/imperative';
import { IRestApiResponse } from '../../doc/IRestApiResponse';
export declare class ChangePassword {
    /**
     * Get z/OSMF information
     * @param {AbstractSession} session RSE API connection info.
     * @returns {promise<IZosmfInfoResponse>} A response contains information from API call.
     * @throws {ImperativeError} session must not be null or undefined. Any error threw by
     *                           the REST API call.
     */
    static setNewPassword(session: Session, profile: IProfile, oldPassword: string, newPassword: string, profileName: string): Promise<IRestApiResponse>;
    /**
     * Get Log
     * @returns {Logger} applicationLogger.
     */
    private static get log();
}
