/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session } from '@zowe/imperative';
import { IRestApiResponse } from '../../doc/IRestApiResponse';
/**
 * Class to handle renaming data sets
 */
export declare class Rename {
    /**
     *
     * @param {Session}             session    - connection info
     * @param {string}              ussPath    - The new name of the data set in the form 'dataset(member)'
     * @param {string}              newName    - The data set you are renaming
     * @returns {Promise<IRestApiResponse>}    - Standard CLI reposonse object
     */
    static uss(session: Session, ussPath: string, newName: string): Promise<IRestApiResponse>;
    static dataSet(session: Session, dataSetName: string, newName: string): Promise<IRestApiResponse>;
    /**
     * Get Log
     * @returns {Logger} applicationLogger.
     */
    private static get log();
}
