/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import * as zapp from '../parser/zapp-schema';
import { ZappProfilesController } from './zapp-profiles-controller';
/**
 * A collection of business logic for accessing, manipulating, validating
 * rse api mappings in ZAPP documents.
 */
export declare class RseApiController extends ZappProfilesController {
    static getRseApiProfileNames(workspacePath: string): string[] | undefined;
    static onlyOneMappingsEntry(workspacePath: string): boolean;
    static getRseApiSettings(workspacePath: string): zapp.RseapiSettingsItem | undefined;
}
