/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,i){void 0===i&&(i=s),Object.defineProperty(e,i,{enumerable:!0,get:function(){return t[s]}})}:function(e,t,s,i){void 0===i&&(i=s),e[i]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,i){return new(s||(s=Promise))((function(o,n){function r(e){try{u(i.next(e))}catch(e){n(e)}}function a(e){try{u(i.throw(e))}catch(e){n(e)}}function u(e){var t;e.done?o(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(r,a)}u((i=i.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.AuthLogin=void 0;const imperative=__importStar(require("@zowe/imperative")),constants_1=require("../../../constants"),rest_1=require("../../../rest"),utils_1=require("../../../utils"),ZosApi_messages_1=require("../../../constants/ZosApi.messages");class AuthLogin{static getToken(e,t,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("AuthLogin.getToken called."),imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),e.ISession.user&&e.ISession.password||(e=yield this.promptUserPass(e));try{const i=`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHLOGIN}`,o={userid:e.ISession.user,password:e.ISession.password};this.log.debug("Endpoint: "+i);const n=yield rest_1.RseRestClient.postExpectAuthToken(e,i,[],o);let r;if(e.ISession.tokenValue=n.authorization,null!==e.ISession.tokenValue&&(e.ISession.type="token",e.ISession.tokenType="jwtToken",s.tokenType=e.ISession.tokenType,s.tokenValue=e.ISession.tokenValue,e.ISession.user=s.user,e.ISession.password=s.password),void 0===t.arguments.rseProfile){r=(yield utils_1.getDefaultProfile()).name}else r=t.arguments.rseProfile;return yield utils_1.saveYaml(r,s),e}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static validateToken(e,t){return __awaiter(this,void 0,void 0,(function*(){let s;this.log.trace("AuthLogin.validateToken called."),imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message);const i=`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHQUERY}`;if(this.log.debug("Endpoint: "+i),!e.ISession.tokenValue)throw new imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message});try{void 0===t&&(t=utils_1.checkForToken(e)),s=void 0!==t?[t]:[];return yield rest_1.RseRestClient.getExpectJSON(e,i,s)}catch(t){throw void 0===e.ISession.tokenValue?(this.log.error(ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message),new imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message})):(this.log.error(ZosApi_messages_1.ZosApiMessages.jwtTokenExpired.message),new imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.jwtTokenExpired.message}))}}))}static promptUserPass(e){return __awaiter(this,void 0,void 0,(function*(){if(!e.ISession.user){let t="";for(;""===t;)if(t=yield imperative.CliUtils.promptWithTimeout("Enter user name: "),null===t)throw new imperative.ImperativeError({msg:"Timed out waiting for user name."});e.ISession.user=t}if(!e.ISession.password){let t="";for(;""===t;)if(t=yield imperative.CliUtils.promptWithTimeout("Enter password : ",!0),null===t)throw new imperative.ImperativeError({msg:"Timed out waiting for password."});e.ISession.password=t}return e}))}static get log(){return imperative.Logger.getAppLogger()}}exports.AuthLogin=AuthLogin;