/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,s,t,i){void 0===i&&(i=t),Object.defineProperty(e,i,{enumerable:!0,get:function(){return s[t]}})}:function(e,s,t,i){void 0===i&&(i=t),e[i]=s[t]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&__createBinding(s,e,t);return __setModuleDefault(s,e),s},__awaiter=this&&this.__awaiter||function(e,s,t,i){return new(t||(t=Promise))((function(n,a){function r(e){try{p(i.next(e))}catch(e){a(e)}}function o(e){try{p(i.throw(e))}catch(e){a(e)}}function p(e){var s;e.done?n(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(r,o)}p((i=i.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.CheckMappings=void 0;const imperative_1=require("@zowe/imperative"),constants_1=require("../../constants"),utils_1=require("../../utils"),zapp_1=require("../../zapp"),rest_1=require("../../rest"),fs=__importStar(require("fs")),path=__importStar(require("path")),util=__importStar(require("util"));class CheckMappings{static getMappingFile(e,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("CheckMappings.getMappingsFile called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),yield utils_1.apiVersionCheck(e,constants_1.RseApiVersionConstants.V103);let t=[];const i=path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.DATASETS,constants_1.ZosRestApiConstants.MAPPINGS);let n;t=utils_1.setHeaders(e);try{let a=yield rest_1.RseRestClient.getExpectBuffer(e,i,t);if(!(a.length>0))throw this.log.error(constants_1.ZosApiMessages.emptyMappingsFile.message),new imperative_1.ImperativeError({msg:constants_1.ZosApiMessages.emptyMappingsFile.message});a=Buffer.from(imperative_1.IO.processNewlines(a.toString()));const r=this.mappingFileExist();if(s||!r)n=this.getDefaultMappingsPath(constants_1.RseApiConstants.CONVERSIONFILENAME),imperative_1.IO.createDirsSyncFromFilePath(n);else{const e=this.addSequentialNumberToName(constants_1.RseApiConstants.CONVERSIONFILENAME);n=this.getDefaultMappingsPath(e),imperative_1.IO.createDirsSyncFromFilePath(n)}const o=JSON.parse(JSON.stringify(a));return imperative_1.IO.writeFile(n,Buffer.from(o)),this.log.info(util.format(constants_1.ZosFilesMessages.mappingsFileDownloadedSuccessfully.message,n)),{success:!0,commandResponse:util.format(constants_1.ZosFilesMessages.mappingsFileDownloadedSuccessfully.message,n),apiResponse:a}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static mappingFileExist(e,s){this.log.trace("CheckMappings.doesFileExist called");let t,i=!1;return t=s?this.getSpecifiedMappingsPath(s):e?this.getDefaultMappingsPath(e):this.getDefaultMappingsPath(constants_1.RseApiConstants.CONVERSIONFILENAME),fs.existsSync(t)&&(i=!0),i||this.log.debug(`${constants_1.RseApiMessages.nonExistentMappingFile.message}${t}`),i}static getMappingEncoding(e,s){return __awaiter(this,void 0,void 0,(function*(){let t,i,n,a,r;this.log.trace("CheckMappings.getMappingEncoding called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingDatasetName.message),i=s?this.getSpecifiedMappingsPath(s):this.getDefaultMappingsPath(constants_1.RseApiConstants.CONVERSIONFILENAME),this.log.debug("Reading MVS Mappings file for encoding at the location: "+i);try{if(i.includes(".json")&&!i.includes("zapp.json"))n=yield utils_1.readLocalFile(i),r=JSON.parse(n);else{let e=i;const s=path.basename(i);zapp_1.ZappDocumentInstance.isZappFileName(s)&&(e=path.dirname(i)),r=zapp_1.RseApiController.getRseApiSettings(e)}if(!r)throw this.log.error(constants_1.RseApiMessages.unsupportedMappingsFile.message),new imperative_1.ImperativeError({msg:constants_1.RseApiMessages.unsupportedMappingsFile.message});a=r["default.encoding"]}catch(e){throw this.log.error(constants_1.RseApiMessages.unsupportedMappingsFile.message),new imperative_1.ImperativeError({msg:constants_1.RseApiMessages.unsupportedMappingsFile.message})}let o=!1,p=!1;const l=this.separateDataSetName(e);for(const s of r.mappings){if(p=this.doesInclude(l.dataSetName,s.resource),p&&s.memberMappings)for(const i of s.memberMappings){if(this.checkFilterPattern(l.memberName,i.resource)){if(o=i.transfer.includes("binary"),o)return this.log.debug(`${constants_1.RseApiMessages.binaryTransfer.message}${e}.`),t=i.transfer,t;if(i.encoding)return t=i.encoding,this.log.debug(`${s.resource}${constants_1.RseApiMessages.memberMappingUsedEncoding.message}${i.resource}' as ${i.encoding} for ${e}.`),t}}if(p){if(o=s.transfer.includes("binary"),o)return this.log.debug(`${constants_1.RseApiMessages.binaryTransfer.message}${e}.`),t=s.transfer,t;if(s.encoding)return t=s.encoding,this.log.debug(`${s.resource}${constants_1.RseApiMessages.resourceUsedEncoding.message}${s.encoding} for ${e}.`),t}}if(!t&&a)return this.log.debug(`${constants_1.RseApiMessages.defaultEncodingUsed.message}${a} for ${e}.`),t=a,t}))}static getDlExtensionFromMappings(e,s){return __awaiter(this,void 0,void 0,(function*(){let t,i,n,a;if(this.log.trace("CheckMappings.getDlExtentionFromMappings called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingDatasetName.message),s){if(i=this.getSpecifiedMappingsPath(s),t=this.mappingFileExist(void 0,s),!t)throw this.log.error(`${constants_1.RseApiMessages.nonExistentMappingFile.message}${i}`),new imperative_1.ImperativeError({msg:`${constants_1.RseApiMessages.nonExistentMappingFile.message}${i}`})}else i=this.getDefaultMappingsPath(constants_1.RseApiConstants.CONVERSIONFILENAME),t=this.mappingFileExist();this.log.debug("Reading MVS Mappings file for extension at the location: "+i);let r,o=!1;if(t){try{if(i.includes(".json")&&!i.includes("zapp.json"))a=yield utils_1.readLocalFile(i),r=JSON.parse(a);else{let e=i;i.includes("zapp.yaml")&&(e=s.replace("zapp.yaml","")),i.includes("zapp.yml")&&(e=s.replace("zapp.yml","")),i.includes("zapp.json")&&(e=s.replace("zapp.json","")),r=zapp_1.RseApiController.getRseApiSettings(e)}if(!r)throw this.log.error(constants_1.RseApiMessages.unsupportedMappingsFile.message),new imperative_1.ImperativeError({msg:constants_1.RseApiMessages.unsupportedMappingsFile.message})}catch(e){throw this.log.error(constants_1.RseApiMessages.unsupportedMappingsFile.message),new imperative_1.ImperativeError({msg:constants_1.RseApiMessages.unsupportedMappingsFile.message})}const t=this.separateDataSetName(e);for(const s of r.mappings){if(o=this.doesInclude(t.dataSetName,s.resource),o&&s.memberMappings)for(const i of s.memberMappings){if(this.checkFilterPattern(t.memberName,i.resource)&&i.extension)return this.log.debug(`${s.resource}${constants_1.RseApiMessages.memberMappingUsedExtension.message}${i.resource}' as ${i.extension} for ${e}.`),n=i.extension,n}if(o&&s.extension)return this.log.debug(`${s.resource}${constants_1.RseApiMessages.resourceUsedExtension.message}${s.extension} for ${e}.`),n=s.extension,n}if(!n)return void this.log.debug(`${constants_1.RseApiMessages.defaultExtensionUsed.message}${e}.`)}}))}static compareMappingsFile(e){return __awaiter(this,void 0,void 0,(function*(){let s,t,i;this.log.trace("CheckMappings.compareMappingsFile called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message);try{const n=[],a=path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.DATASETS,constants_1.ZosRestApiConstants.MAPPINGS);if(this.mappingFileExist()){const r=this.getDefaultMappingsPath(constants_1.RseApiConstants.CONVERSIONFILENAME);i=yield utils_1.readLocalFile(r),s=yield rest_1.RseRestClient.getExpectBuffer(e,a,n),s=Buffer.from(imperative_1.IO.processNewlines(s.toString()));const o=String.fromCharCode.apply(null,new Uint8Array(s));t=i.localeCompare(o)}return t}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static encodingPrecedence(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){let n;if(this.log.trace("CheckMappings.encodingPrecedence called"),s){if(0!==s.localeCompare(e))return this.log.debug(`${constants_1.RseApiMessages.precedenceCliTag.message}${s}`),s}if(i){if(n=this.mappingFileExist(void 0,i),!n)throw this.log.error(`${constants_1.RseApiMessages.nonExistentMappingFile.message}${i}`),new imperative_1.ImperativeError({msg:`${constants_1.RseApiMessages.nonExistentMappingFile.message}${i}`})}else n=this.mappingFileExist();return n?yield this.getMappingEncoding(t.toUpperCase(),i):e?(this.log.debug(`${constants_1.RseApiMessages.precedenceDefault.message}${e}`),e):void this.log.debug(constants_1.RseApiMessages.noDefault.message)}))}static getDefaultMappingsPath(e){this.log.trace("CheckMappings.getDefaultMappingsPath called");const s=utils_1.getUserHome(),t=".zowe/profiles/rse/"+(e||constants_1.RseApiConstants.CONVERSIONFILENAME);return path.resolve(s.toString(),t)}static getSpecifiedMappingsPath(e){let s;if(this.log.trace("CheckMappings.getSpecifiedMappingsPath called"),fs.existsSync(e))return e;if(e.startsWith("~")){const t=utils_1.getUserHome(),i=e.replace("~/","");s=path.resolve(t.toString(),i)}else{const t=process.cwd();s=path.resolve(t,e)}return s}static doesInclude(e,s){let t=!1;if(s.includes(".")){const i=e.split("."),n=s.split(".");let a=0;for(const e of i){if(a<n.length){let s=!1;s=this.checkFilterPattern(e,n[a]),t=!!s,n[a].startsWith("*")&&!s||a++}a===i.length&&i.length<n.length&&(t=!1)}}else t=this.checkFilterPattern(e,s);return t}static checkFilterPattern(e,s){let t=!1;if(/(\*?)(\w+)(\*)(\w+)(\*?)/.test(s)){let i,n,a;if(/(^\w+)(\*)(\w+)(\*)/.test(s)&&(i=s.slice(0,s.length-1),n=i.split("*"),a=e.startsWith(n[0].toUpperCase()),a&&(t=e.includes(n[1].toUpperCase()))),/(^\*)(\w+)(\*)(\w+)$/.test(s)&&(i=s.slice(1,s.length),n=i.split("*"),a=e.endsWith(n[1].toUpperCase()),a&&(t=e.includes(n[0].toUpperCase()))),/(^\*)(\w+)(\*)(\w+)(\*)$/.test(s)){i=s.slice(1,s.length),i=i.slice(0,s.lastIndexOf("*")-1),n=i.split("*");for(const s of n)a=e.includes(s.toUpperCase());a&&(t=!0)}}else{if(/^[^*](\w+)[^*]$/.test(s)){0===e.localeCompare(s.toUpperCase())&&(t=!0)}/^(\*)$/.test(s)&&(t=!0),s.startsWith("*")&&s.endsWith("*")&&(t=e.includes(s.toUpperCase().replace(/\*/g,""))),!s.startsWith("*")&&s.endsWith("*")&&(t=e.startsWith(s.toUpperCase().replace(/\*/g,""))),s.startsWith("*")&&!s.endsWith("*")&&(t=e.endsWith(s.toUpperCase().replace(/\*/g,"")))}return t}static separateDataSetName(e){const s=/(.*)\((.*)\)/.exec(e);if(s){const[,e,t]=s;return{dataSetName:e,memberName:t}}return{dataSetName:e}}static addSequentialNumberToName(e){this.log.trace("CheckMappings.addSequentialNumberToName called");let s=e,t=!0,i=1;for(;t;){if(s.includes("(")){const e=s.split(".");s=`${e[0].split("(")[0].toString()}(${i}).${e[1].toString()}`}else{const e=s.split(".");s=`${e[0].toString()}(${i}).${e[1].toString()}`}t=CheckMappings.mappingFileExist(s),i++}return s}static get log(){return imperative_1.Logger.getAppLogger()}}exports.CheckMappings=CheckMappings;