/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,n){void 0===n&&(n=s),Object.defineProperty(e,n,{enumerable:!0,get:function(){return t[s]}})}:function(e,t,s,n){void 0===n&&(n=s),e[n]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,n){return new(s||(s=Promise))((function(o,i){function a(e){try{c(n.next(e))}catch(e){i(e)}}function r(e){try{c(n.throw(e))}catch(e){i(e)}}function c(e){var t;e.done?o(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(a,r)}c((n=n.apply(e,t||[])).next())}))},__importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.IssueCommand=void 0;const imperative_1=require("@zowe/imperative"),constants_1=require("../../constants"),rest_1=require("../../rest"),CoreUtils_1=require("../../utils/CoreUtils"),path=__importStar(require("path")),https_1=__importDefault(require("https"));class IssueCommand{static tsoCommand(e,t){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("IssueCommands.tsoCommand called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message),yield CoreUtils_1.apiVersionCheck(e,101);try{let s=null;const n=t.toUpperCase();let o=path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.TSO);o+=encodeURIComponent(n),this.log.debug("Endpoint: "+o);const i=CoreUtils_1.setHeaders(e);let a;return a=yield rest_1.RseRestClient.putExpectJSON(e,o,i,null),void 0===a.output?(a=yield rest_1.RseRestClient.putExpectJSON(e,o,i,void 0),s=void 0===a.output?void 0:a.output.toString()):s=a.output.toString(),{success:!0,commandResponse:null,apiResponse:s}}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static unixLongRunningCommand(e,t,s,n){this.log.trace("IssueCommands.unixLongRunningCommand called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosFilesMessages.missingUSSDirectoryName.message);const o=path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.SHELL_COMMAND),{hostname:i,port:a,basePath:r,rejectUnauthorized:c}=e.ISession;this.log.debug("unixLongRunningCommand is calling the following Endpoint: "+o);const l={hostname:i,port:a,rejectUnauthorized:c,path:encodeURI(`/${r}${o}?path=${s}&invocation=${t}`),method:"PUT",headers:Object.assign(Object.assign({},CoreUtils_1.setUnixRestCommandFullHeaders(e)),{Connection:"keep-alive",accept:"text/plain"})};return https_1.default.request(l,n)}static unixCommand(e,t,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("IssueCommands.unixCommand called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosFilesMessages.missingUSSDirectoryName.message);try{const n=path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.UNIX),o={invocation:t,path:s};this.log.debug("Endpoint: "+n);const i=CoreUtils_1.setHeaders(e);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.postExpectJSON(e,n,i,o)}}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static consoleCommand(e,t){return __awaiter(this,void 0,void 0,(function*(){imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message);const s=path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.CONSOLE),n={invocation:t},o=CoreUtils_1.setHeaders(e);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.postExpectJSON(e,s,o,n)}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.IssueCommand=IssueCommand;