/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,s,t,i){void 0===i&&(i=t),Object.defineProperty(e,i,{enumerable:!0,get:function(){return s[t]}})}:function(e,s,t,i){void 0===i&&(i=t),e[i]=s[t]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&__createBinding(s,e,t);return __setModuleDefault(s,e),s},__awaiter=this&&this.__awaiter||function(e,s,t,i){return new(t||(t=Promise))((function(a,o){function r(e){try{l(i.next(e))}catch(e){o(e)}}function n(e){try{l(i.throw(e))}catch(e){o(e)}}function l(e){var s;e.done?a(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(r,n)}l((i=i.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Upload=void 0;const imperative_1=require("@zowe/imperative"),zowe=__importStar(require("@zowe/cli")),fs=__importStar(require("fs")),path=__importStar(require("path")),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),rest_1=require("../../rest"),ZosFiles_messages_1=require("../../constants/ZosFiles.messages"),Create_1=require("../create/Create"),ZosFilesUtils_1=require("../../utils/ZosFilesUtils"),list_1=require("../list"),CoreUtils_1=require("../../../api/utils/CoreUtils"),Utilities_1=require("../utilities/Utilities"),Tag_1=require("../utilities/doc/Tag"),api_1=require("../../../api"),check_1=require("../../../api/methods/check");class Upload{static fileToDataset(e,s,t,i,a={},o){return __awaiter(this,void 0,void 0,(function*(){let r;if(this.log.trace("Upload.fileToDataset called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputFile.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),imperative_1.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message)," "===s){this.log.info("Creating member "+t.toUpperCase());const s=" ";r=yield this.bufferToDataSet(e,s,t,a)}else this.log.info(`Uploading file ${s} to ${t.toUpperCase()}`),yield CoreUtils_1.readLocalFile(s),r=yield this.pathToDataSet(e,s,t,i,a,o);return r}))}static dirToPds(e,s,t,i,a={},o){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Upload.dirToPds called."),this.log.info(`Uploading directory ${s} to ${t}`),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputDir.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),imperative_1.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);const r=new Promise((e,t)=>{fs.lstat(s,(i,a)=>{null!=i||a.isFile()?null==i?(this.log.error(`${s}${ZosFiles_messages_1.ZosFilesMessages.pathIsNotDirectory.message}`),t(new imperative_1.ImperativeError({msg:`${s}${ZosFiles_messages_1.ZosFilesMessages.pathIsNotDirectory.message}`}))):(this.log.error(`${ZosFiles_messages_1.ZosFilesMessages.nodeJsFsError.message} ${i}`),t(new imperative_1.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.nodeJsFsError.message,additionalDetails:i.toString(),causeErrors:i}))):e(!0)})});if(yield r,!imperative_1.IO.isDir(s))throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.missingInputDir.message),new imperative_1.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDir.message});return yield this.pathToDataSet(e,s,t,i,a,o,!0)}))}static bufferToDataSet(e,s,t,i={}){return __awaiter(this,void 0,void 0,(function*(){imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);let a=[];a=CoreUtils_1.setHeaders(e);let o=path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS);if(i.volume&&(o=path.posix.join(o,`-(${i.volume})`)),i.etag&&a.push({"If-Match":i.etag}),i.encoding&&a.push({hostEncoding:i.encoding.toString()}),i.binary){const i=Buffer.from(s,"utf-8");a.push({Accept:"application/json"}),a.push({"Content-Type":"application/octet-stream"}),o=path.posix.join(o,t,ZosRestApi_constants_1.ZosRestApiConstants.RAWCONTENT);const r=yield rest_1.RseRestClient.putExpectString(e,o,a,i);return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.dataSetUploadedSuccessfully.message,apiResponse:r}}{const i={records:s};o=path.posix.join(o,t,ZosRestApi_constants_1.ZosRestApiConstants.CONTENT);const r=yield rest_1.RseRestClient.putExpectStringAndEtag(e,o,a,i);return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.dataSetUploadedSuccessfully.message,apiResponse:r}}}))}static pathToDataSet(e,s,t,i,a={},o,r){return __awaiter(this,void 0,void 0,(function*(){this.log.info(`Uploading path ${s} to ${t}`),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),imperative_1.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);let n="",l="",p="",c=!1;const g=[];if(ZosFilesUtils_1.ZosFilesUtils.isDataSetNameContainMasking(t))throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.unsupportedMaskingInDataSetName.message),new imperative_1.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.unsupportedMaskingInDataSetName.message});const m=ZosFilesUtils_1.ZosFilesUtils.getFileListFromPath(s);if(t.endsWith(")")){if(imperative_1.IO.isDir(s))throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToDatasetMember.message),new imperative_1.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToDatasetMember.message});n=t.substr(t.indexOf("(")).replace(/[()]/g,""),t=t.substr(0,t.indexOf("("))}const _=yield this.isDataSetExist(e,t,{attributes:!0});_||!n&&!r||(yield Create_1.Create.dataSet(e,3,t,{})),_||n||1!==m.length||r||(yield Create_1.Create.dataSet(e,4,t,{}));const d=yield list_1.List.dataSet(e,t,{attributes:!0,maxLength:1,start:t});if(null!=d.apiResponse&&null!=d.apiResponse.items){const e=0===d.apiResponse.returnedRows?-1:d.apiResponse.items.findIndex(e=>e.name.toUpperCase()===t.toUpperCase());if(-1!==e){switch(d.apiResponse.items[e].dataSetOrganization){case"PO":case"PO-E":c=!0;break;default:if(m.length>1)throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToPhysicalSequentialDataSet.message),new imperative_1.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToPhysicalSequentialDataSet.message})}}}const u=a.encoding,f=a.binary;try{let s,r=0;for(const _ of m){if(a.binary=f,a.encoding=u,l=_,p=t,c&&(p=0===n.length?`${p}(${ZosFilesUtils_1.ZosFilesUtils.generateMemberName(l)})`:`${p}(${n})`),p=p.toUpperCase(),a.binary)this.log.info("Used binary transfer from CLI binary tag."),a.encoding=void 0;else{let e;a.encoding&&(e=a.encoding.toString());const s=yield check_1.CheckMappings.encodingPrecedence(i.encoding,e,p,o);s&&"binary"===s?(a.binary=!0,a.encoding=void 0):(a.encoding=s,a.binary=void 0)}if(null!=a.task){const e=-15,s=l.slice(e);a.task.statusMessage="Uploading ..."+s,a.task.percentComplete=Math.floor(imperative_1.TaskProgress.ONE_HUNDRED_PERCENT*(r/m.length)),r++}let d;if(void 0===s)try{d=yield CoreUtils_1.readLocalFile(l),0===d.length&&(d=" ");const s=yield this.bufferToDataSet(e,d,p,a);this.log.info(`Success Uploaded data From ${l} To ${p}`),g.push({success:s.success,from:l,to:p,etag:s.apiResponse.etag,encoding:a.encoding,binary:a.binary})}catch(e){if(e.toString().includes(api_1.RseApiMessages.nonExistentMappingFile.message))throw e;this.log.error(`Failure Uploading data From ${l} To ${p}`),g.push({success:!1,from:l,to:p,error:e}),s=e}else g.push({success:void 0,from:l,to:p})}if(s)throw this.log.error(s),s;return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.dataSetUploadedSuccessfully.message,apiResponse:g}}catch(e){if(this.log.error(e),e.toString().includes(api_1.RseApiMessages.nonExistentMappingFile.message))throw e;return{success:!1,commandResponse:e.message,apiResponse:g}}}))}static fileToUSSFile(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Upload.fileToUSSFile called."),this.log.info(`Uploading from ${s} to ${t}`),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputFile.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message),imperative_1.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message);try{const a=yield CoreUtils_1.readLocalFile(s);let o=[];o=CoreUtils_1.setHeaders(e),i.returnEtag&&o.push({"If-Match":i.etag}),i.binary?o.push({convert:(!1).toString()}):o.push({convert:(!0).toString()});const r={content:a};let n;if((yield this.isFileExist(e,t))||(yield Create_1.Create.uss(e,t,"file")),i.encoding){n=i.encoding.toString().toUpperCase();let s=[];s=CoreUtils_1.setHeaders(e);const a=`${ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE}${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}/${t}${ZosRestApi_constants_1.ZosRestApiConstants.MARK_ENCODING}`;yield rest_1.RseRestClient.putExpectJSON(e,a,s,{encoding:n})}const l=`${ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE}${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}/${t}`;i.returnEtag?yield rest_1.RseRestClient.putExpectStringAndEtag(e,l,o,r):yield rest_1.RseRestClient.putExpectJSON(e,l,o,r);const p={success:!0,from:s,to:t,encoding:n,binary:i.binary};return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.ussFileUploadedSuccessfully.message,apiResponse:p}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static dirToUSSDir(e,s,t,i={}){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Upload.dirToUSSDir called."),this.log.info(`Uploading from ${s} to ${t}`),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),imperative_1.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message),imperative_1.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message),i.binary=null!=i.binary&&i.binary,i.recursive=null!=i.recursive&&i.recursive;const a=null==i.maxConcurrentRequests?1:i.maxConcurrentRequests;try{if(!imperative_1.IO.isDir(s))throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),new imperative_1.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message});(yield this.isDirectoryExist(e,t))||(yield Create_1.Create.uss(e,t,"directory"));const o=[];ZosFilesUtils_1.ZosFilesUtils.getFileListFromPath(s,!1).forEach(e=>{let s=i.binary;i.filesMap&&i.filesMap.fileNames.indexOf(e)>-1&&(s=i.filesMap.binary),o.push({binary:s,fileName:e})});let r=0;const n=a=>{null!=i.task&&(i.task.statusMessage="Uploading ..."+this.formatStringForDisplay(a.fileName),i.task.percentComplete=Math.floor(imperative_1.TaskProgress.ONE_HUNDRED_PERCENT*(r/o.length)),r++);const n=path.normalize(path.join(s,a.fileName)),l=path.posix.join(t,a.fileName);return this.uploadFile(n,l,e,i)};0===a?yield Promise.all(o.map(n)):yield CoreUtils_1.asyncPool(a,o,n);const l={success:!0,from:s,to:t};return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.ussDirUploadedSuccessfully.message,apiResponse:l}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static isDataSetExist(e,s,t={}){return __awaiter(this,void 0,void 0,(function*(){const t=path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.DATASETS}/${encodeURIComponent(s)}`),i=CoreUtils_1.setHeaders(e);try{return""!==(yield rest_1.RseRestClient.getExpectJSON(e,t,i)).items.toString()}catch(e){if(e)return!0}}))}static isFileExist(e,s){return __awaiter(this,void 0,void 0,(function*(){const t=path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}?${ZosRestApi_constants_1.ZosRestApiConstants.PATH}=${encodeURIComponent(s)}`),i=CoreUtils_1.setHeaders(e);try{return"FILE"===(yield rest_1.RseRestClient.getExpectJSON(e,t,i)).type}catch(e){if(e)return!1}}))}static isDirectoryExist(e,s){return __awaiter(this,void 0,void 0,(function*(){const t=path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}?${ZosRestApi_constants_1.ZosRestApiConstants.PATH}=${encodeURIComponent(s)}`),i=CoreUtils_1.setHeaders(e);try{return"DIRECTORY"===(yield rest_1.RseRestClient.getExpectJSON(e,t,i)).type}catch(e){if(e)return!1}}))}static dirToUSSDirRecursive(e,s,t,i={}){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Upload.dirToUSSDirRecursive called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),imperative_1.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message),imperative_1.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message),i.binary=null!=i.binary&&i.binary;const a=null==i.maxConcurrentRequests?1:i.maxConcurrentRequests,o=[];let r=[];if(!imperative_1.IO.isDir(s))throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),new imperative_1.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message});(yield this.isDirectoryExist(e,t))||(yield Create_1.Create.uss(e,t,"directory")),r=Upload.getDirs(s),i.attributes&&(r=r.filter(e=>i.attributes.fileShouldBeUploaded(e.fullPath)));if(ZosFilesUtils_1.ZosFilesUtils.getFileListFromPath(s,!1).forEach(e=>{let s=i.binary;i.filesMap&&i.filesMap.fileNames.indexOf(e)>-1&&(s=i.filesMap.binary),o.push({binary:s,fileName:e})}),r.length>0){const s=s=>__awaiter(this,void 0,void 0,(function*(){const i=path.posix.join(t,s.dirName);if(!(yield this.isDirectoryExist(e,i)))return Create_1.Create.uss(e,i,"directory")}));0===a?yield Promise.all(r.map(s)):yield CoreUtils_1.asyncPool(a,r,s)}for(const s of r)yield this.dirToUSSDirRecursive(e,s.fullPath,path.posix.join(t,s.dirName),i);if(o.length>0){let r=0;const n=a=>{null!=i.task&&(i.task.statusMessage="Uploading ..."+this.formatStringForDisplay(a.fileName),i.task.percentComplete=Math.floor(imperative_1.TaskProgress.ONE_HUNDRED_PERCENT*(r/o.length)),r++);const n=path.normalize(path.join(s,a.fileName)),l=path.posix.join(t,a.fileName);return this.uploadFile(n,l,e,i)};0===a?yield Promise.all(o.map(n)):yield CoreUtils_1.asyncPool(a,o,n)}const n={success:!0,from:s,to:t};return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.ussDirUploadedSuccessfully.message,apiResponse:n}}))}static uploadFile(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){i.attributes?yield this.uploadFileAndTagBasedOnAttributes(e,s,t,i.attributes):(i.filesMap&&i.filesMap.fileNames.indexOf(path.basename(e))>-1&&(i.binary=i.filesMap.binary),yield this.fileToUSSFile(t,e,s,i))}))}static uploadFileAndTagBasedOnAttributes(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){const a=i.getLocalEncoding(e);if(i.fileShouldBeUploaded(e)){const o=i.getFileTransferMode(e)===zowe.TransferMode.BINARY;o?yield this.fileToUSSFile(t,e,s,{binary:o}):yield this.fileToUSSFile(t,e,s,{binary:o,encoding:a});const r=i.getRemoteEncoding(e);r===Tag_1.Tag.BINARY.valueOf()?yield Utilities_1.Utilities.chtag(t,s,Tag_1.Tag.BINARY):yield Utilities_1.Utilities.chtag(t,s,Tag_1.Tag.TEXT,r)}}))}static hasDirs(e){return 0!==fs.readdirSync(e).filter(s=>imperative_1.IO.isDir(path.normalize(path.join(e,s)))).length}static getDirs(e){const s=[];if(Upload.hasDirs(e)){const t=fs.readdirSync(e).filter(s=>imperative_1.IO.isDir(path.normalize(path.join(e,s))));for(let i=0;i<t.length;i++){const a=path.normalize(path.join(e,t[i]));s.push({dirName:t[i],fullPath:a})}}return s}static formatStringForDisplay(e){const s=e.split(path.sep).splice(-1,1).toString().slice(-15);return""===s?"all files":s}static get log(){return imperative_1.Logger.getAppLogger()}}exports.Upload=Upload;