/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,i,t,r){void 0===r&&(r=t),Object.defineProperty(e,r,{enumerable:!0,get:function(){return i[t]}})}:function(e,i,t,r){void 0===r&&(r=t),e[r]=i[t]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,i){Object.defineProperty(e,"default",{enumerable:!0,value:i})}:function(e,i){e.default=i}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var i={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&__createBinding(i,e,t);return __setModuleDefault(i,e),i},__awaiter=this&&this.__awaiter||function(e,i,t,r){return new(t||(t=Promise))((function(o,s){function l(e){try{n(r.next(e))}catch(e){s(e)}}function a(e){try{n(r.throw(e))}catch(e){s(e)}}function n(e){var i;e.done?o(e.value):(i=e.value,i instanceof t?i:new t((function(e){e(i)}))).then(l,a)}n((r=r.apply(e,i||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.ZoweCliProfiles=void 0;const os=__importStar(require("os")),path=__importStar(require("path")),fs=__importStar(require("fs")),imperative=__importStar(require("@zowe/imperative")),profiles_1=require("@zowe/zowe-explorer-api/lib/profiles"),SecondaryRestApiRegister_1=require("./SecondaryRestApiRegister"),ZoweExplorerRseApi_1=require("./ZoweExplorerRseApi"),methods_1=require("../methods"),utils_1=require("../utils");class ZoweCliProfiles{constructor(e){this.log=e,this.allProfiles=[],this.profilesByType=new Map,this.defaultProfileByType=new Map,this.profileManagerByType=new Map,this.apiRegistry=new SecondaryRestApiRegister_1.SecondaryRestApiRegister,this.apiRegistry.registerUssApi(new profiles_1.ZosmfUssApi),this.apiRegistry.registerUssApi(new ZoweExplorerRseApi_1.RseRestUssApi),this.apiRegistry.registerMvsApi(new profiles_1.ZosmfMvsApi),this.apiRegistry.registerMvsApi(new ZoweExplorerRseApi_1.RseRestMvsApi),this.apiRegistry.registerJesApi(new profiles_1.ZosmfJesApi),this.apiRegistry.registerJesApi(new ZoweExplorerRseApi_1.RseRestJesApi),this.apiRegistry.registerCommandApi(new profiles_1.ZosmfCommandApi),this.apiRegistry.registerCommandApi(new ZoweExplorerRseApi_1.RseRestCommandApi)}static getInstance(){return __awaiter(this,void 0,void 0,(function*(){if(!ZoweCliProfiles.loader){const e=imperative.Logger.getAppLogger();yield ZoweCliProfiles.createInstance(e)}return ZoweCliProfiles.loader}))}static createInstance(e){return __awaiter(this,void 0,void 0,(function*(){return ZoweCliProfiles.loader=new ZoweCliProfiles(e),yield ZoweCliProfiles.loader.refresh(),ZoweCliProfiles.loader}))}loadNamedProfile(e,i){return this.allProfiles.find(t=>t.name===e&&(!i||t.type===i))}getDefaultProfile(e="zosmf"){return this.defaultProfileByType.get(e)}getPreferredDefaultProfile(){let e=this.defaultProfileByType.get(ZoweExplorerRseApi_1.RseRestApiCommon.getProfileTypeName());return e||(e=this.getDefaultProfile()),e}getProfiles(e="zosmf"){return this.profilesByType.get(e)}getCombinedProfile(e){var i,t,r;if(""===e.profile.user&&(e.profile.user=void 0),""===e.profile.password&&(e.profile.password=void 0),e.profile.user&&e.profile.password)return e;if(e.profile.tokenValue)return e;const o=this.getDefaultProfile("base");if(o&&e.profile.host&&o.profile.host!==e.profile.host)return e;const s=this.getSchema(e.type),l=e;if(o){for(const t of Object.keys(s))l.profile[t]=null!==(i=e.profile[t])&&void 0!==i?i:o.profile[t];l.profile.tokenType=null!==(t=e.profile.tokenType)&&void 0!==t?t:o.profile.tokenType,l.profile.tokenValue=null!==(r=e.profile.tokenValue)&&void 0!==r?r:o.profile.tokenValue}return l}getSchema(e){const i=this.getCliProfileManager(e),t=Array.from(i.configurations);let r={};for(const i of t)i.type===e&&(r=i.schema.properties);return r}refresh(){return __awaiter(this,void 0,void 0,(function*(){this.allProfiles=[];for(const e of this.apiRegistry.registeredApiTypes().concat("ssh")){const i=this.getCliProfileManager(e),t=(yield i.loadAll()).filter(i=>i.type===e);t&&t.length>0&&(this.allProfiles.push(...t),this.profilesByType.set(e,t),this.defaultProfileByType.set(e,yield i.load({loadDefault:!0})))}try{const e=this.getCliProfileManager("base"),i=(yield e.loadAll()).filter(e=>"base"===e.type);i&&i.length>0&&(this.allProfiles.push(...i),this.profilesByType.set("base",i),this.defaultProfileByType.set("base",yield e.load({loadDefault:!0})))}catch(e){this.log.error('Could not locate the profile type configuration for "base" profiles.')}}))}getCliProfileManager(e){let i=this.profileManagerByType.get(e);if(!i){if(i=new imperative.CliProfileManager({profileRootDirectory:path.join(ZoweCliProfiles.getZoweDir(),"profiles"),type:e}),!i)return;this.profileManagerByType.set(e,i)}return i}checkProfileToken(e,i,t){return __awaiter(this,void 0,void 0,(function*(){if(t.tokenValue)try{yield methods_1.AuthLogin.validateToken(e,utils_1.checkForToken(e))}catch(r){e=yield methods_1.AuthLogin.getToken(e,i,t)}return e}))}static isSecureCredentialPluginActive(){let e=!1;try{const i=path.join(ZoweCliProfiles.getZoweDir(),"settings","imperative.json");let t;if(fs.existsSync(i)&&(t=JSON.parse(fs.readFileSync(i,"utf-8"))),t){const i=t.overrides,r=i.CredentialManager,o=i["credential-manager"];e="string"==typeof r&&r.length>0||"string"==typeof o&&o.length>0}}catch(e){throw this.log.error("ZoweCliProfiles.isSecureCredentialPluginActive: Unable to read imperative file: "+(null==e?void 0:e.message)),new Error("ZoweCliProfiles.isSecureCredentialPluginActive: Unable to read imperative file: "+(null==e?void 0:e.message))}return e}static getZoweDir(){return imperative.ImperativeConfig.instance.loadedConfig={defaultHome:path.join(os.homedir(),".zowe"),envVariablePrefix:"ZOWE"},imperative.ImperativeConfig.instance.cliHome}static get log(){return imperative.Logger.getAppLogger()}}exports.ZoweCliProfiles=ZoweCliProfiles;