/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,i){void 0===i&&(i=s),Object.defineProperty(e,i,{enumerable:!0,get:function(){return t[s]}})}:function(e,t,s,i){void 0===i&&(i=s),e[i]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,i){return new(s||(s=Promise))((function(o,n){function r(e){try{p(i.next(e))}catch(e){n(e)}}function a(e){try{p(i.throw(e))}catch(e){n(e)}}function p(e){var t;e.done?o(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(r,a)}p((i=i.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.RseRestCommandApi=exports.RseRestJesApi=exports.RseRestMvsApi=exports.RseRestUssApi=exports.RseRestApiCommon=void 0;const path=__importStar(require("path")),rse=__importStar(require("..")),zowe=__importStar(require("@zowe/cli")),imperative=__importStar(require("@zowe/imperative")),CheckMappings_1=require("../methods/check/CheckMappings");class RseRestApiCommon{constructor(e){this.profile=e}static getProfileTypeName(){return"rse"}getProfileTypeName(){return RseRestUssApi.getProfileTypeName()}getSessionFromCommandArgument(e){return rse.RseRestSession.createBasicRestRestSessionFromArguments(e)}getSession(e){if(!this.session){const t=e||this.profile;(null==t?void 0:t.profile)&&(this.session=rse.RseRestSession.createBasicRestSession(t.profile))}return this.session}getStatus(e,t){return __awaiter(this,void 0,void 0,(function*(){let s;if("rse"===t){const t=rse.RseRestSession.createBasicRestSession(e.profile);s=(yield rse.CheckStatus.getRseStatus(t))?"active":"inactive"}else s="unverified";return s}))}getTokenTypeName(){return imperative.SessConstants.TOKEN_TYPE_APIML}login(e){return zowe.Login.apimlLogin(e)}logout(e){return zowe.Logout.apimlLogout(e)}}exports.RseRestApiCommon=RseRestApiCommon;class RseRestUssApi extends RseRestApiCommon{static registerApi(e){e.registerUssApi(new RseRestUssApi)}fileList(e){return __awaiter(this,void 0,void 0,(function*(){const t=yield rse.List.fileList(this.getSession(),e),s={success:!1,commandResponse:"",apiResponse:{items:[]}};return t.success&&(s.success=!0,s.commandResponse=t.commandResponse,t.apiResponse&&t.apiResponse.children&&(s.apiResponse.items=t.apiResponse.children.map(e=>({name:e.name,size:e.size,mtime:e.lastModified,mode:"DIRECTORY"===e.type?"d?????????":"-?????????"})))),s}))}isFileTagBinOrAscii(e){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Utilities.isFileTagBinOrAscii(this.getSession(),e)}))}getContents(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Download.ussFile(this.getSession(),e,t)}))}putContents(e,t,s,i,o,n){return __awaiter(this,void 0,void 0,(function*(){return this.putContent(e,t,{binary:s,encoding:i,etag:o,returnEtag:n})}))}putContent(e,t,s){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Upload.fileToUSSFile(this.getSession(),e,t,s)}))}uploadDirectory(e,t,s){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Upload.dirToUSSDirRecursive(this.getSession(),e,t,s)}))}create(e,t,s){return __awaiter(this,void 0,void 0,(function*(){s=rse.CreateDefaults.USS.CREATE.permissions;return yield rse.Create.uss(this.getSession(),e,t,s)}))}delete(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Delete.ussFile(this.getSession(),e,t)}))}rename(e,t){return __awaiter(this,void 0,void 0,(function*(){const s=path.basename(t),i=path.dirname(e);try{yield this.fileList(path.join(i,s))}catch(t){return rse.Rename.uss(this.getSession(),e,s)}throw new Error("Cannot rename as name is already in use.")}))}}exports.RseRestUssApi=RseRestUssApi;class RseRestMvsApi extends RseRestApiCommon{static registerApi(e){e.registerMvsApi(new RseRestMvsApi)}static registerMappingsFile(e){this.mappingsFilePath=e}static clearMappingsFile(){this.mappingsFilePath=void 0}dataSet(e,t){return __awaiter(this,void 0,void 0,(function*(){const s=yield rse.List.dataSet(this.getSession(),e,t),i={success:!1,commandResponse:"",apiResponse:{items:[]}};s.success&&(i.success=!0,i.commandResponse=s.commandResponse,s.apiResponse&&s.apiResponse.items&&(i.apiResponse.items=s.apiResponse.items.map(e=>({dsname:e.name,blksz:e.blockSize,dsntp:e.dsnType,dsorg:e.dataSetOrganization,extx:e.extents,lrecl:e.recordLength,recfm:e.recordFormat,spacu:e.allocationUnit,vol:e.volumeSerial,vols:e.volumeSerial,cdate:e.creationDate,rdate:e.referenceDate,migr:e.migrated,type:e.type}))));for(const e of i.apiResponse.items)!0===e.migr?e.migr="YES":e.migr="NO";return i}))}allMembers(e,t){return __awaiter(this,void 0,void 0,(function*(){const s={success:!1,commandResponse:"",apiResponse:{items:[]}},i=yield rse.List.allMembers(this.getSession(),e,t);let o;i.apiResponse&&i.apiResponse.items&&void 0!==i.apiResponse.items.length?o=i.apiResponse.items.map(e=>e):i.apiResponse&&i.apiResponse.found&&void 0!==i.apiResponse.found.length&&(o=i.apiResponse.found.map(e=>e.member));const n={items:o};return i.success&&(s.success=!0,s.commandResponse=i.commandResponse,n&&n.items&&void 0!==n.items.length&&(s.apiResponse.items=n.items.map(e=>({member:e})))),s}))}getContents(e,t,s){return __awaiter(this,void 0,void 0,(function*(){const i=s||this.findMappingsFile();return yield rse.Download.dataSet(this.getSession(),e,this.profile.profile,t,i)}))}putContents(e,t,s,i){return __awaiter(this,void 0,void 0,(function*(){const o=i||this.findMappingsFile();return yield rse.Upload.fileToDataset(this.getSession(),e,t,this.profile.profile,s,o)}))}findMappingsFile(){if(RseRestMvsApi.mappingsFilePath)return RseRestMvsApi.mappingsFilePath;if(CheckMappings_1.CheckMappings.mappingFileExist()){return CheckMappings_1.CheckMappings.getDefaultMappingsPath()}}createDataSet(e,t,s){return __awaiter(this,void 0,void 0,(function*(){const i={},o={success:!1,commandResponse:"",apiResponse:{}};if("0"===e.toString())throw new imperative.ImperativeError({msg:"Dataset Type chosen is not supported by RSE CLI Plugin. "});switch(i.dataSetOrganization=s.dsorg,i.primary=s.primary,i.secondary=s.secondary,i.directoryBlocks=s.dirblk,i.recordFormat=s.recfm,i.blockSize=s.blksize,i.recordLength=s.lrecl,s.alcunit){case"CYL":i.allocationUnit="CYLINDER";break;case"BLK":i.allocationUnit="BLOCK";break;case"TRK":i.allocationUnit="TRACK";break;default:throw new imperative.ImperativeError({msg:"Invalid create command 'allocationUnit' option: "+s.alcunit})}return o.apiResponse=yield rse.Create.dataSet(this.getSession(),e,t,i),o}))}createDataSetMember(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Upload.fileToDataset(this.getSession()," ",e.toUpperCase(),this.profile,t)}))}deleteDataSet(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Delete.dataSet(this.getSession(),e,t)}))}copyDataSetMember({dataSetName:e,memberName:t},{dataSetName:s,memberName:i},o){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Copy.dataSet(this.getSession(),{dataSetName:e,memberName:t},{dataSetName:s,memberName:i})}))}allocateLikeDataSet(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Create.allocateLike(this.getSession(),e,t)}))}renameDataSet(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Rename.dataSet(this.getSession(),e,t)}))}renameDataSetMember(e,t,s){return __awaiter(this,void 0,void 0,(function*(){const i=`${e}(${t})`;return yield rse.Rename.dataSet(this.getSession(),i,s)}))}hMigrateDataSet(e){return __awaiter(this,void 0,void 0,(function*(){return yield rse.HMigrate.dataSet(this.getSession(),e)}))}hRecallDataSet(e){return __awaiter(this,void 0,void 0,(function*(){return yield rse.HRecall.dataSet(this.getSession(),e)}))}}exports.RseRestMvsApi=RseRestMvsApi;class RseRestJesApi extends RseRestApiCommon{static registerApi(e){e.registerJesApi(new RseRestJesApi)}getJobsByOwnerAndPrefix(e,t){return __awaiter(this,void 0,void 0,(function*(){const s={};let i;s.owner=e,s.prefix=t;return i=(yield rse.GetJobs.getJobsByOwnerAndPrefix(this.getSession(),s)).apiResponse.items.map(e=>({jobid:e.jobId,jobname:e.jobName,owner:e.owner,retcode:e.returnCode,type:e.type,subsystem:e.subsystem,status:e.status,class:e.executionClass,"phase-name":e.phaseName})),i}))}getJob(e){return __awaiter(this,void 0,void 0,(function*(){const t=yield rse.GetJobs.getJob(this.getSession(),e);return{jobid:t.jobId,jobname:t.jobName,owner:t.owner,retcode:t.returnCode,type:t.type,subsystem:t.subsystem,status:t.status,class:t.executionClass,"phase-name":t.phaseName,url:null,"files-url":null,"job-correlator":null,phase:null}}))}getSpoolFiles(e,t){return __awaiter(this,void 0,void 0,(function*(){let s;return s=(yield rse.GetJobs.getSpoolFiles(this.getSession(),e,t)).apiResponse.items.map(s=>({id:s.id,ddname:s.ddName,procstep:s["proc step"],"record-count":s.recordCount,stepname:s["step name"],jobid:t,jobname:e})),s}))}downloadSpoolContent(e){return __awaiter(this,void 0,void 0,(function*(){yield rse.DownloadJobs.downloadAllSpoolContentCommon(this.getSession(),e)}))}getSpoolContentById(e,t,s){return __awaiter(this,void 0,void 0,(function*(){return(yield rse.GetJobs.getSpoolContentById(this.getSession(),e,t,s)).apiResponse.content}))}getJclForJob(e){return __awaiter(this,void 0,void 0,(function*(){const t={jobId:e.jobid,jobName:e.jobname,owner:e.owner,returnCode:e.retcode,type:e.type,subsystem:e.subsystem,status:e.status,executionClass:e.class,phaseName:e["phase-name"]};return yield rse.GetJobs.getJclForJob(this.getSession(),t)}))}submitJcl(e,t,s){return __awaiter(this,void 0,void 0,(function*(){try{const e=yield rse.SubmitJobs.submitJcl(this.getSession(),t,s);return{jobid:e.jobId,jobname:e.jobName,owner:e.owner,retcode:e.returnCode,type:e.type,subsystem:e.subsystem,status:e.status,class:e.executionClass,"phase-name":e.phaseName,url:null,"files-url":null,"job-correlator":null,phase:null}}catch(e){throw new imperative.ImperativeError({msg:"Not supported yet."})}}))}submitJob(e){return __awaiter(this,void 0,void 0,(function*(){const t=yield rse.SubmitJobs.submitJob(this.getSession(),e);return{jobid:t.jobId,jobname:t.jobName,owner:t.owner,retcode:t.returnCode,type:t.type,subsystem:t.subsystem,status:t.status,class:t.executionClass,"phase-name":t.phaseName,url:null,"files-url":null,"job-correlator":null,phase:null}}))}deleteJob(e,t){return __awaiter(this,void 0,void 0,(function*(){yield rse.DeleteJobs.deleteJob(this.getSession(),e,t)}))}}exports.RseRestJesApi=RseRestJesApi;class RseRestCommandApi extends RseRestApiCommon{static registerApi(e){e.registerCommandApi(new RseRestCommandApi)}issueTsoCommand(e,t){return __awaiter(this,void 0,void 0,(function*(){const t=yield rse.IssueCommand.tsoCommand(this.getSession(),e);return{success:t.success,startResponse:void 0,startReady:void 0,stopResponse:void 0,zosmfResponse:void 0,commandResponse:t.apiResponse}}))}issueMvsCommand(e){return __awaiter(this,void 0,void 0,(function*(){return(yield rse.IssueCommand.consoleCommand(this.getSession(),e).catch(e=>{throw new imperative.ImperativeError({msg:"Not implemented yet for profile of type: rse"})})).apiResponse}))}}exports.RseRestCommandApi=RseRestCommandApi;