/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,r,t,o){void 0===o&&(o=t),Object.defineProperty(e,o,{enumerable:!0,get:function(){return r[t]}})}:function(e,r,t,o){void 0===o&&(o=t),e[o]=r[t]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,r){Object.defineProperty(e,"default",{enumerable:!0,value:r})}:function(e,r){e.default=r}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var r={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&__createBinding(r,e,t);return __setModuleDefault(r,e),r},__awaiter=this&&this.__awaiter||function(e,r,t,o){return new(t||(t=Promise))((function(i,s){function n(e){try{p(o.next(e))}catch(e){s(e)}}function a(e){try{p(o.throw(e))}catch(e){s(e)}}function p(e){var r;e.done?i(e.value):(r=e.value,r instanceof t?r:new t((function(e){e(r)}))).then(n,a)}p((o=o.apply(e,r||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.getProfileMeta=exports.readLocalFile=exports.apiVersionCheck=exports.getDefaultProfile=exports.getZoweDir=exports.getUserHome=exports.compareProfiles=exports.setHeaders=exports.setUnixRestCommandFullHeaders=exports.checkForToken=exports.saveYaml=exports.updateYaml=exports.asyncPool=exports.readStdin=exports.sleep=exports.padLeft=void 0;const path=__importStar(require("path")),os=__importStar(require("os")),fs=__importStar(require("fs")),imperative=__importStar(require("@zowe/imperative")),constants_1=require("../constants"),methods_1=require("../methods");function padLeft(e,r,t=" "){if(e.length>=r)return e;if(t.length>1)throw imperative.Logger.getAppLogger().error("Specify only one character"),new Error("Specify only one character");if(0===t.length)throw imperative.Logger.getAppLogger().error("Specify at least one character"),new Error("Specify at least one character");return t.repeat(r-e.length)+e}function sleep(e=1e3){return new Promise(r=>setTimeout(r,e))}function readStdin(){return new Promise((e,r)=>{let t=Buffer.from([]);const o=process.stdin,i=imperative.Logger.getAppLogger();o.resume(),o.on("data",e=>{i.trace("Read data from stdin: "+e.toString()),i.debug(`Read ${e.length} bytes of data from stdin`),t=Buffer.concat([t,e])}),o.once("end",()=>{i.info("Finished reading stdin"),e(t)}),o.on("error",e=>{const t={msg:"Error encountered while reading from stdin",causeErrors:e,additionalDetails:null==e?void 0:e.message};i.error("Error encountered while reading from stdin "+e),r(t)})})}function asyncPool(e,r,t){let o=0;const i=[],s=[],n=()=>{if(o===r.length)return Promise.resolve();const a=r[o++],p=Promise.resolve().then(()=>t(a,r));i.push(p);const l=p.then(()=>s.splice(s.indexOf(l),1));s.push(l);let c=Promise.resolve();return s.length>=e&&(c=Promise.race(s)),c.then(()=>n())};return n().then(()=>Promise.all(i))}function updateYaml(e,r){return __awaiter(this,void 0,void 0,(function*(){return yield imperative.Imperative.api.profileManager("rse").update({name:e,merge:!0,args:r})}))}function saveYaml(e,r){return __awaiter(this,void 0,void 0,(function*(){return yield imperative.Imperative.api.profileManager("rse").save({name:e,profile:r,type:"rse",overwrite:!0})}))}function checkForToken(e){if(e.ISession.tokenValue)return{Authorization:e.ISession.tokenValue}}function setUnixRestCommandFullHeaders(e){const{user:r,base64EncodedAuth:t,password:o}=e.ISession;if(r&&o)return{Authorization:"Basic "+t};const i=checkForToken(e);return i||void 0}function setHeaders(e){if(e.ISession.user&&e.ISession.password)return[];const r=checkForToken(e);return r?[r]:[]}function compareProfiles(e,r){const t=Object.keys(e),o=Object.keys(r);if(t.length!==o.length)return!1;for(const o of t)if(e[o]!==r[o])return!1;return!0}function getUserHome(){return process.env["win32"==process.platform?"USERPROFILE":"HOME"]}function getZoweDir(){return imperative.ImperativeConfig.instance.loadedConfig={defaultHome:path.join(os.homedir(),".zowe"),envVariablePrefix:"ZOWE"},imperative.ImperativeConfig.instance.cliHome}function getDefaultProfile(){return __awaiter(this,void 0,void 0,(function*(){const e=new imperative.CliProfileManager({profileRootDirectory:path.join(getZoweDir(),"profiles"),type:"rse"});return yield e.load({loadDefault:!0})}))}function apiVersionCheck(e,r){return __awaiter(this,void 0,void 0,(function*(){let t;const o=yield methods_1.CheckStatus.getRseStatus(e);if(JSON.stringify(o).includes("stdout"))throw imperative.Logger.getAppLogger().error(constants_1.ZosApiMessages.notSupported100.message),new imperative.ImperativeError({msg:constants_1.ZosApiMessages.notSupported100.message});{t=JSON.parse(JSON.stringify(o));let e=t.rseapi_version;e=e.replace(/\./gi,"");if(Number(e)<r)throw imperative.Logger.getAppLogger().error(`${constants_1.ZosApiMessages.notSupported.message} ${t.rseapi_version}`),new imperative.ImperativeError({msg:`${constants_1.ZosApiMessages.notSupported.message} ${t.rseapi_version}`});return}}))}function readLocalFile(e){return __awaiter(this,void 0,void 0,(function*(){let r;const t=new Promise((t,o)=>{fs.readFile(e,(e,i)=>{null==e&&i.length>=0?(t(!0),r=i.toString()):null==e?(imperative.Logger.getAppLogger().error(constants_1.ZosFilesMessages.missingInputFile.message),o(new imperative.ImperativeError({msg:constants_1.ZosFilesMessages.missingInputFile.message}))):(imperative.Logger.getAppLogger().error(`${constants_1.ZosFilesMessages.nodeJsFsError.message} ${e}`),o(new imperative.ImperativeError({msg:constants_1.ZosFilesMessages.nodeJsFsError.message,additionalDetails:e.toString(),causeErrors:e})))})});return yield t,r}))}function getProfileMeta(){return __awaiter(this,void 0,void 0,(function*(){return yield require("../../imperative").profiles}))}exports.padLeft=padLeft,exports.sleep=sleep,exports.readStdin=readStdin,exports.asyncPool=asyncPool,exports.updateYaml=updateYaml,exports.saveYaml=saveYaml,exports.checkForToken=checkForToken,exports.setUnixRestCommandFullHeaders=setUnixRestCommandFullHeaders,exports.setHeaders=setHeaders,exports.compareProfiles=compareProfiles,exports.getUserHome=getUserHome,exports.getZoweDir=getZoweDir,exports.getDefaultProfile=getDefaultProfile,exports.apiVersionCheck=apiVersionCheck,exports.readLocalFile=readLocalFile,exports.getProfileMeta=getProfileMeta;